@import "/css/svg.css";
@import "/css/theme.css";
@import "/css/switcher.css";
@import "/css/note.css";
@import "/css/gallery.css";

:root {
  --paper: #d8e7c3; 
  --paper-transparent: #d8e7c380;
  --ink: #080c3e;
  --ink-transparent: #080c3ec8;
  --bg: #1a4842; 
  --accent1: #1abc9c; 
  --accent2: #8bdbcf; 
  --comp: #ff4128;
  --font-sans: system-ui, Segoe UI, Frutiger, Frutiger Linotype, Dejavu Sans, Helvetica Neue, Arial, sans-serif;
  --font-serif: ui-serif, Georgia, Times, Times New Roman, serif;
}

*,
*::before,
*::after {
  box-sizing: border-box;
}

body {
  font-family: var(--font-sans);
  color: var(--ink);
  background-color: var(--bg);
  font-size: 1rem;
  line-height: 1.6;
  margin-inline: auto;
  padding: 0 1rem;
  margin: 0;
}

header {
  background-color: var(--paper);
  padding-top: 1rem;
  margin: 0 2rem 1rem;
  border-bottom: 1rem solid var(--bg);
}

.icon {
  height: 2em;
  width: auto;
}

main {
  border-top: 1rem solid var(--accent1);
  margin: 2rem;
  padding: 2rem;
  background-color: var(--paper);
  min-height: 50vmin;
}

article { 
  border-top: 1px solid var(--comp);
  line-height: 1.1;  
  padding: 0 2rem;
}

article h2 {
  margin: 0;
}

.post-date {
  border-bottom: 1px solid var(--accent1);
}

.homepage {
  position: relative;
}

nav {
  display: flex;
  justify-content: center;
  align-items: flex-end;
  position: relative;
  gap: 1.5rem;
  font-family: "Courier New", Courier, monospace;
}

nav a {
  text-decoration: none;
  font-weight: bold;
  font-size: 1.2rem;
}

footer {
  margin-top: 4rem;
  padding-block: 2rem;
  text-align: center;
  color: var(--accent1);
  font-size: 0.9rem;
  border-top: 1px solid var(--comp);
}

a {
  color: var(--bg);
}

a:hover {
  color: var(--comp);
}

h1,
h2 {
  font-family: var(--font-serif);
  line-height: 1.1;
}

h1 {
  font-size: 2.5rem;
}

h2 {
  font-size: 1.8rem;
  margin-top: 2.5rem;
}
